# rbtext
Pure-C alternative to something like `lolcat` on linux.

## build
`gcc -o rbtext rbtext.c`
OR
`make`

## usage
`./rbtext <text> [text...]`

## install
`install -m755 rbtext /usr/bin`

## runtime configuration
This is done by setting environment variables.
- `RBTEXT_FULLSCREEN` (default: Enabled, force disable when non-tty) - Clear screen every print (useful for text that will wrap)

### example
Runs rbtext without clearing the screen everytime <br/>
`RBTEXT_FULLSCREEN=-1 ./rbtext hello world`
<hr/>
Runs rbtext with piped input <br/>
`echo "hello world" | ./rbtext`

## note on piped input
Piping input will cause rbtext to stop refreshing the screen. This is because it expects constant output, like in the following command: `cat /dev/urandom | base -w 0 | ./rbtext`